unit Unit3;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Types3D, FMX.Layers3D,
  FMX.Objects, Data.Bind.EngExt, Fmx.Bind.DBEngExt, Data.Bind.Components,
  FMX.Ani, FMX.Effects, FMX.Filter.Effects;

type
  TForm3 = class(TForm)
    Button1: TButton;
    ImageControl1: TImageControl;
    Image1: TImage;
    Image3D1: TImage3D;
    Image3D2: TImage3D;
    Image3D4: TImage3D;
    OpenDialog1: TOpenDialog;
    ScrollBar1: TScrollBar;
    Label1: TLabel;
    CheckBox2: TCheckBox;
    Timer2: TTimer;
    StatusBar1: TStatusBar;
    Button2: TButton;
    Button3: TButton;
    BlurEffect1: TBlurEffect;
    WaveEffect1: TWaveEffect;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure ScrollBar1Change(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure CheckBox2Change(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.fmx}

procedure TForm3.Button1Click(Sender: TObject);
var
  b:Boolean;
begin
  b := OpenDialog1.Execute;
  if (b) then begin
//    Image1.Bitmap.LoadFromFile(OpenDialog1.FileName);
    ImageControl1.Bitmap.LoadFromFile(OpenDialog1.FileName);
  end;

end;

procedure TForm3.Button2Click(Sender: TObject);
begin
  Self.Close;
end;

procedure TForm3.Button4Click(Sender: TObject);
begin
  WaveEffect1.Enabled := True;
end;

procedure TForm3.CheckBox2Change(Sender: TObject);
begin
  Timer2.Enabled := CheckBox2.IsChecked;
end;

procedure TForm3.ScrollBar1Change(Sender: TObject);
begin
  Image1.RotationAngle := ScrollBar1.Value;
  ImageControl1.RotationAngle := -(ScrollBar1.Value);
end;

procedure TForm3.Timer2Timer(Sender: TObject);
begin
  ScrollBar1.Value := (ScrollBar1.Value + 5);
Abrir Captura&Paint  if (ScrollBar1.Value > 355) then begin
    ScrollBar1.Value := 360;
  end;
end;

end.
